com.fasterxml.jackson.databind.ser.impl

## Class PropertySerializerMap.SerializerAndMapResult

- java.lang.Object
- - com.fasterxml.jackson.databind.ser.impl.PropertySerializerMap.SerializerAndMapResult

- Enclosing class:
    PropertySerializerMap

      public static final class PropertySerializerMap.SerializerAndMapResult
      extends java.lang.Object

  Value class used for returning tuple that has both serializer that was retrieved and new map instance

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `PropertySerializerMap` | `map`
    `JsonSerializer<java.lang.Object>` | `serializer`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PropertySerializerMap.SerializerAndMapResult(JsonSerializer<java.lang.Object> serializer, PropertySerializerMap map)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### serializer

          public final JsonSerializer<java.lang.Object> serializer

    - #### map

          public final PropertySerializerMap map

  - ### Constructor Detail

    - #### PropertySerializerMap.SerializerAndMapResult

          public PropertySerializerMap.SerializerAndMapResult(JsonSerializer<java.lang.Object> serializer,
                                                      PropertySerializerMap map)